<%(!?altiroReady)
<%|define("altiroReady")|1%>
<%|define("region_with_default")|<%(?ca_region)%ca_region::$(common.default_region)%>%>
<%|define("altiroSession")|<%|urldecode|&get_cookie($(accounts.session_cookie_name), "^(.*)$")%>%>
<%|define("altiro_url")|<%(?is_msite)$(common.base_url.mobile)::$(common.base_url.vi)%>%>
<%|define("service_url")|<%$(common.base_url.vi)%>%>
<%|define("secure_url")|<%$(common.base_url.secure)%>%>
<%|define("user_data_image")|<%&profile_image_url(%social_id, %width, %height)%>%>
<%|define("account_data")|<%|base64|{"name":"<%%account_name%>","email":"<%%acc_session_email%>","shortname":"<%%short_user_name%>","avatar":"<%%user_data_image%>","accSession":"<%%altiroSession%>", "url":"<%%altiro_url%>", "secure_url": "<%%secure_url%>", "service_url": "<%%service_url%>" }%>%>
<script src="https://cdn.jsdelivr.net/npm/\@webcomponents/webcomponentsjs\@2.1.2/webcomponents-loader.js"></script>
<!-- FIX ERROR on safari 10 (not support nomodule tag -->
<script>!function(){var e=document,t=e.createElement("script");if(!("noModule"in t)&&"onbeforeload"in t){var n=!1;e.addEventListener("beforeload",function(e){if(e.target===t)n=!0;else if(!e.target.hasAttribute("nomodule")||!n)return;e.preventDefault()},!0),t.type="module",t.src=".",e.head.appendChild(t),t.remove()}}();</script>
<script charset="UTF-8" type="module">
  import "https://widgets.yapo.cl/yapo-tag-manager/0.3.0/bundle.module.js";
</script>
<script nomodule charset="UTF-8" src="//widgets.yapo.cl/yapo-tag-manager/0.3.0/bundle.legacy.js"></script>
<div id="env-data"
  data-hub="<%$(common.base_url.vi)%>/hub.html#<%%account_data%>"
  data-hub-id="altiro-cross-storage"
  data-base-url="<%%altiro_url%>"
  data-base-url-get="<%%altiro_url%>/bff/api/v1/"
  data-base-img-url="<%$(common.base_url.images)%>/thumbsli"
  data-base-url-fav-search="<%$(common.base_url.ai)%>/adwatch/list"
  data-base-url-listing="<%|friendly("", %w)|$(common.base_url.li)/li?ca=<%%region_with_default%>_s%>"
  data-acc-session="<%%altiroSession%>"
  data-current-region="<%%region%>"
  data-current-category="<%%category%>"
  data-current-subcategory="<%%state_type%>"
  data-pd-enabled="<%($(payment_delivery.enabled) == 1 && $(payment_delivery.allowedip.%REMOTE_ADDR) == 1)1::0%>"
  data-pd-time-to-sync="$(payment_delivery.time_to_sync)"
<%|cache_case("env_data", P[])|
  data-base-regions="<%|base64|&vtree_js("common.region") %>"
  data-base-categories="<%|base64|{<%<%(@@# > 0),%>"$(cat_order.@)":{"name":"$(cat.$(cat_order.@).name)","level":$(cat.$(cat_order.@).level)<%($(cat.$$(cat_order.@).parent) != 0),"parent":$(cat.$$(cat_order.@).parent)%><%($(cat.$$(cat_order.@).price.required) != 0),"priceRequired":$(cat.$$(cat_order.@).price.required)%>}%>}%>"
%>
></div>

<iframe id="legacy_mobile_hub" src="<%$(common.base_url.mobile)%>/legacy_hub.html#<%%account_data%>" style="display: none;position: absolute;top: -999px;left: -999px;" frameborder="0" width="0" height="0"></iframe>
<iframe id="legacy_www_hub" src="<%$(common.base_url.vi)%>/legacy_hub.html#<%%account_data%>" style="display: none;position: absolute;top: -999px;left: -999px;" frameborder="0" width="0" height="0"></iframe>
<iframe id="legacy_secure_hub" src="<%$(common.base_url.secure)%>/legacy_hub.html#<%%account_data%>" style="display: none;position: absolute;top: -999px;left: -999px;" frameborder="0" width="0" height="0"></iframe>
<%(?account_name || %appl == "vi")
	<script type="text/javascript" charset="UTF-8">
		function loadScript(url, type, charset, callback){
			var element = document.createElement(type);
			if(type === 'script') {
				element.type = "text/javascript";
				element.src = url;
				element.charset = charset;
			}
			if(type === 'link'){
				element.type = "text/css";
				element.rel = "stylesheet";
				element.href = url;
			}

			if (element.readyState){  //IE
				element.onreadystatechange = function(){
					if (element.readyState === "loaded" ||
						element.readyState === "complete"){
						element.onreadystatechange = null;
						callback();
					}
				};
			} else {  //Others
				element.onload = function(){
					callback();
				};
			}

			document.getElementsByTagName("head")[0].appendChild(element);
		}
		<%($(favorites.debug) == 1)
			loadScript('$(favorites.href)$(favorites.js)', 'script', 'UTF-8', function injectScript(){
				//initialization code
			});
		::
			loadScript('<%&static_js("altiro-bundle.js")%>', 'script', 'UTF-8', function injectScript(){
				//initialization code
			});
			loadScript('<%&static_css("altiro-bundle.css")%>', 'link', 'UTF-8', function injectScript(){
				//initialization code
			});
		%>
	</script>
%>
	<!-- Houston -->
	<script src="https://dd0qfwxshcaga.cloudfront.net/releases/<%$(houston.sdk.version)%>/houston.min.js"></script>
	<script>
		var HoustonSDK = houston;
	</script>
	<script src="https://js-services.yapo.cl/\@yapo-services/houston/<%$(houston.service.version)%>/index.legacy.js"></script>
	<script>
		var HoustonServiceInstance = (function () {
			var getEnv = function () {
				return /(www|m|www2){1}\.yapo\.cl/gm.exec(window.location.origin) ? 'pro' : 'dev';
			}
			var hService = houstonService.default({ application:'yapocl', tenant: 'yapocl', environment: getEnv(), target: document });
			hService.getConfig();

			return hService;
		})();
	</script>
	<script src="https://js-services.yapo.cl/\@yapo-services/utils/1.0.2-alpha.7/index.legacy.js"></script>
	<script src="https://js-services.yapo.cl/\@yapo-services/dom-experiments/<%$(houston.dom_experiments.version)%>/index.legacy.js"></script>
	<script>
		DOMExperiments.default(document);

		<%(%altiroSession == "")
			<%/* Clear the user session data when it has no session */%>
			(function () {
				localStorage.removeItem("<%$(credits_splash.li.storage_name)%>");
			})();
		%>
	</script>
	<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/2.0.2/webcomponents-bundle.js" type="text/javascript"></script> -->
	
	<%($(braze.sdk.enabled) == 1)
		<%&include("common/braze.html")%>
	%>
	
	<%($(gtm.enabled) == 1)
		<%&include("common/gtm_body.html")%>
	%>
%>

<script>
// Check that service workers are registered
if ("serviceWorker" in navigator && window.indexedDB) {
  navigator.serviceWorker
    .register("/service-worker.js")
    .then(function (registration) {
      console.log("Service Worker Registered");
    })
    .catch(function (err) {
      console.log("Service Worker Failed to Register", err);
    });
}
</script>
